<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta name="Kankys Matrix" content="O mně."/>
    <title>O mně</title>
    <link rel="stylesheet" href="../../style/style.css"/>
    <link rel="shortcut icon" href="img/logo_arch_linux_167.png"/>
    <link rel="icon" type="image/x-icon" href="../../res/site/icons/favicon.ico"/>
    <link href="//cdn.jsdelivr.net/npm/font-logos@1/assets/font-logos.css" rel="stylesheet"/>
</head>

<body style="cursor: url(../../res/site/icons/archlinux.png), auto">
<header class="page-header" role="banner">
    <h1 class="project-name">O mně</h1>
    <!-- <h2 class="project-tagline">The webmaster.</h2> -->

    <a href="../../" class="btn">Domů</a>
</header>

<main id="content" class="main-content" role="main">
    <h3>O mně</h3>

    <div class="obsah">

        <p>
            Jsem IT nadšenec s pozitivním přístupem k životu a vášní pro
            technologie, ve kterých se neustále vzdělávám. Absolvoval jsem kurz
            testingu a SQL v Acamaru, další kurz byl web developer u společnosti Engeto. Pracoval jsem na pozici testera ve společnosti Uniprog a nyní pracuji ve společnosti Kyndryl na projektu České Spořitelny pro platformu SMART. Můj životopis najdete pod tímto <a href="../project/zivotopis/zivotopis.html"
                                                                               target="_blank">odkazem.</a>
        </p>

        <div>
            <ul class="dot">
                <li><strong>Ve volném čase se věnuji:</strong></li>
                <li>Svému blogu:<a href="https://lukan.cz"> Lukáš Bloguje.</a></li>
                <li>Spolku Arch Linux CZ, kde jsem členem a pomáhám se správou webu: <a href="https://arch-linux.cz"
                                                                                        target="_blank">Arch Linux
                    CZ</a> a dalších webových aplikacích Arch Linux CZ.
                </li>
                <li>Linuxu, MacOS a Opensource (i si rozumím s Windows :-)).</li>
                <li>Seberozvoji v oblasti komunikace a emoční inteligence.</li>
                <li>Sportu, který mi dobíjí baterky.</li>
                <li>Missing maps pro Lékaře bez hranic.</li>
                <li>Mapování v OSM.</li>
            </ul>
        </div>


        <div>
            <ul class="dot">
                <li><strong>V osobním životě se snažím vedle komerčních aplikací poznávat a
                    používat Opensource.</strong></li>
                <li>To to jsou opensource aplikace, které používám vedle placených
                    aplikací a stojí myslím za vyzkoušení:
                </li>
                <li>Alternativa za OneNote od Microsoftu je aplikace <a href="https://joplinapp.org/"
                                                                        target="_blank">Joplin</a></li>

                <li>Pro cloud a tvorbu dokumentů k Microsoft 365 doporučuji <a href="https://cloud.arch-linux.cz"
                                                                               target="_blank">NextCloud</a></li>

                <li>Pokud potřebuji šifrovat dokumenty nebo jen s někým něco sdílet a
                    nechci sdílet s NextCloud nebo OneDrive použiji <a href="https://cryptpad.arch-linux.cz/"
                                                                       target="_blank">CryptPad</a></li>

                <li>Náhradu za Jiru může být <a href="https://tasks.archoslinux.cz/" target="_blank">Vikunja</a></li>

                <li>Mimo GitHub svůj kód ukládám na <a href="https://git.archoslinux.cz/" target="_blank">Gitea</a></li>
                <li>Pro tvorbu tohoto blogu vedle VS Code používám <a href="https://brackets.io/" target="_blank">Brackets</a>
                </li>

                <li>Jako RSS čtečku využívám minimalistickou <a href="https://rss.archoslinux.cz/">MiniFlux</a></li>

                <li> Správce hesel může být <a href="https://bitwarden.archoslinux.cz/" target="_blank">Bitwarden</a>
                </li>

                <li>Internetový prohlížeč <a href="https://www.mozilla.org/en-US/firefox/new/"
                                             target="_blank">Firefox</a>
                </li>

                <li>E-mail klienta používám <a href="https://www.thunderbird.net/en-US/" target="_blank">Thunderbird</a>
                </li>

                <li>Alternativu k sociální sítím může být <a href="https://mastodon.arch-linux.cz/"
                                                             terget="_blank">Mastodon</a><a
                        href="https://element.mxchat.cz/" target="blank">Element</a></li>

                <li>Alternativou k Instagramu může být <a href="https://pixelfed.cz" target="_blank">Pixelfed</a></li>

            </ul>
        </div>

        <div>
            <ul class="dot">
                <li><strong>Kde všude mně najdete: </strong></li>
                <li>Můj profil na: <a href="https://git.archoslinux.cz/kankys" target="_blank"><i
                        class="fa fa-gitea"></i> Gitea</a></li>
                <li>Můj profil na: <a href="https://www.github.com/LukasKanka" target="_blank"><i
                        class="fa fa-github"></i> GitHub</a></li>
                <li>Můj profil na: <a href="https://www.linkedin.com/in/luk%C3%A1%C5%A1-ka%C5%88ka-b2a0a1a0/"
                                      target="_blank"><i class="fa fa-linkedin"></i> LinkedIn</a></li>
                

            </ul>
        </div>
        <div>
            <ul class="dot">
                <li><strong>Budu velmi vděčný za malý příspěvek na provoz mých projektů:</strong></li>
                <li>Pár satoshi nebo jiné krypto měny(po dohodě)</li>
                <li>Nebo pomocí Lightning technologije na adresu: <strong>affableshirt47@walletofsatoshi.com</strong>
                </li>
                <li>či přes QR kód na Lightning:</li>
                <li><img src="img/sat.jpeg" width="130" alt="Satoshi qrcode"/></li>
                <li>Přes paypal pomocí QR kódu:</li>
                <li><img src="img/qrcode-paypal.png" width="130" alt="Paypal qrcode"/></li>
                <li>Aktivačním kódem na aplikaci k recenzi či článku</li>
                <li>Kritikou, radou nebo e-mailem pár slov potěší</li>
                <li>Také se můžeme potkat na WordPress pivu v Praze, Frodentisti akcích, PHPkáři akcích nebo jen tak na
                    pivku
                    a jiné akci.
                </li>
            </ul>
        </div>
    </div>


    <footer class="site-footer">
        Copyright &copy; Lukáš Kaňka 2024
    </footer>

</main>
</body>

</html>
