<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Kankys Matrix" content="Zásady ochrany osobních údaju." />
    <title>Zásady ochrany osobních údaju</title>
    <link rel="stylesheet" href="../../style/style.css" />
    <link rel="shortcut icon" href="img/logo_arch_linux_167.png" />
    <link
      rel="icon"
      type="image/x-icon"
      href="../../res/site/icons/favicon.ico"
    />
    <link
      href="//cdn.jsdelivr.net/npm/font-logos@1/assets/font-logos.css"
      rel="stylesheet"
    />
  </head>

  <body style="cursor: url(../../res/site/icons/archlinux.png), auto">
    <header class="page-header" role="banner">
      <h1 class="project-name">O mně</h1>
      <!-- <h2 class="project-tagline">The webmaster.</h2> -->

      <a href="../../" class="btn">Domů</a>
    </header>

    <main id="content" class="main-content" role="main">

      <p>
        <strong>
          <center>Zásady ochrany osobních údajů</center> </strong
        ><br />
        Naposledy aktualizováno: 28.4.2022
      </p>

      <p>
        Pokud jste návštěvníkem našeho blogu, odběratelem novinek,
        přispěvatelem do komentářů poskytujete nám své osobní údaje. My vaše
        údaje zpracováváme a za jejich bezpečnost odpovídáme. Slibujeme, že
        vaše <br />údaje dostatečně chráníme a podřizujeme se požadavkům
        Nařízení o ochraně osobních údajů (GDPR).
      </p>

      <p>
        Neprodáváme žádný produkt, nejste tedy našimi zákazníky, ale
        návštěvníky blogu.
      </p>

      <p>
        Správcem vašich osobních údajů je Lukáš (Lucka ani nekouká přes
        rameno!)<br />
        Správcem osobních údajů je Lukáš Kaňka, který provozuje webové stránky
        lukan.cz a lukan.cekuj.net. Lukáš vaše údaje spravuje a určuje, jak
        dlouho budou osobní údaje zpracovávány, a za jakým účelem. Vybírá
        <br />také další zpracovatele, které ke zpracování využíváme.
      </p>

      <p>
        <strong>Jaké údaje zpracováváme a proč?</strong><br />
        Vaše osobní údaje zpracováváme především proto, abychom vám mohli
        poskytovat co nejkvalitnější obsah. Jednotlivé důvody zpracování:
      </p>

      <p>
        <strong>Předávání osobních údajů třetím osobám.</strong><br />
        Vaše údaje zpracovává správce Lukáš Kaňka, s využitím dalších dvou
        zpracovatelů, společnosti Endora , jejichž zpracování spočívá v
        uchovávání údajů na zabezpečených cloudových serverech.
      </p>

      <p>
        Abychom mohli měřit, jak se vám na našem blogu líbí, kde trávíte
        nejvíce času a kam klikáte, používáme další poskytovatele služeb pro
        určité zpracovatelské operace. Jsou to:
      </p>

      <p>TopList – pomocí měřícího kódu</p>

      <p>
        <strong>Jak nás můžete kontaktovat</strong><br />
        Ať už na nás máte jakoukoliv otázku nebo požadavek, můžete nás
        kontaktovat ne e-mailové adrese: lukas.kanka@lukan.cz.
      </p>

      <p>
        <strong>Předávání vašich dat mimo Evropskou Unii</strong><br />
        Vaše data zpracováváme výhradně v Evropské unii nebo v zemích, které
        zajišťují odpovídající úroveň ochrany na základě rozhodnutí Evropské
        komise.
      </p>

      <p>
        <strong>Zabezpečení a ochrana osobních údajů</strong><br />
        Vaše data jsou u nás v bezpečí. Přijali jsme technická opatření, která
        zajišťují zabezpečení osobních údajů šifrováním přenosu dat pomocí
        HTTPS protokolu (ten zámeček, co je vedle naší URL adresy ;-)) a<br />
        zabezpečili vaše osobní údaje v souladu s čl. 32 GDPR.
      </p>

      <p>
        <strong>Vaše práva v souvislosti s ochranou osobních údajů:</strong>
      </p>

      <p>
        V souvislosti s ochranou osobních údajů máte řadu práv. Pokud budete
        chtít některého z těchto práv využít, prosím, kontaktujte nás
        prostřednictvím e-mailu: lukas.kanka@lukan.cz
      </p>

      <p>Máte právo na informace, které si právě teď čtete. 🙂</p>

      <p>
        Díky právu na přístup nás můžete kdykoli vyzvat a my vám do 30 dnů
        doložíme, jaké vaše osobní údaje zpracováváme a proč. Pokud se u vás
        něco změní nebo shledáte své osobní údaje neaktuální nebo<br />
        neúplné, máte právo na doplnění a změnu osobních údajů.
      </p>

      <p>
        Právo na omezení zpracování můžete využít, pokud se domníváte, že
        zpracováváme vaše nepřesné údaje, domníváte se, že provádíme
        zpracování nezákonně, ale nechcete všechny údaje smazat nebo pokud
        jste<br />
        vznesli námitku proti zpracování. Omezit můžete rozsah osobních údajů
        nebo účelů zpracování.
      </p>

      <p><strong>Právo na výmaz (být zapomenut)</strong></p>

      <p>
        Vaším dalším právem je právo na výmaz (být zapomenut). Nechceme na vás
        zapomenout, ale pokud si to budete přát, máte na to právo. 😞 V
        takovém případě vymažeme veškeré vaše osobní údaje ze svého<br />
        systému i ze systému všech dílčích zpracovatelů a záloh. Na zajištění
        práva na výmaz potřebujeme 30 dní.
      </p>

      <p><strong>Stížnost u Úřadu na ochranu osobních údajů</strong></p>

      <p>
        Pokud máte pocit, že s vašimi údaji nezacházíme v souladu se zákonem,
        máte právo se se svou stížností kdykoli obrátit na Úřad pro ochranu
        osobních údajů. Budeme moc rádi, pokud nejprve budete o tomto<br />
        podezření informovat nás, abychom s tím mohli něco udělat a případné
        pochybení napravit.
      </p>

      <p><strong>Mlčenlivost:</strong></p>
      <p>
        Jsme povinni zachovávat mlčenlivost o osobních údajích a o
        bezpečnostních opatřeních, jejichž zveřejnění by ohrozilo zabezpečení
        vašich osobních údajů. Tato mlčenlivost přitom trvá i po skončení<br />
        závazkových vztahů s námi. Bez vašeho souhlasu také vaše údaje žádné
        jiné třetí straně nevydáme.
      </p>

      <p>Tyto Zásady ochrany osobních údajů nabývají účinnosti 28.4.2022</p>

      
  
      <footer class="site-footer">
        Copyright &copy; Lukáš Kaňka 2024
      </footer>
        
    </main>
  </body>
</html>
