<!DOCTYPE html>
<html lang="cs">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Kankys Matrix" content="Kankys projekty." />
    <title>Projekty</title>
    <link rel="stylesheet" href="../../style/style.css" />
    <link
      rel="icon"
      type="image/x-icon"
      href="../../res/site/icons/favicon.ico"
    />
    <link rel="shortcut icon" href="../../img/logo_arch_linux_167.png" />
    <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
    <script
      id="MathJax-script"
      async=""
      src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"
    ></script>
  </head>

  <body>
    <header class="page-header" role="banner">
      <h1 class="project-name">Projekty</h1>
      <h2 class="project-tagline">
        Zde najdeš odkazy na mé projekty.
      </h2>

      <a href="../../" class="btn">Home</a>
      
    </header>

    <main id="content" class="main-content" role="main">
      
        

      <div class="flexbox-project">
        <!-- <div class="menu-project">
          
        </div>
       -->



        <div class="content-pr">
            <h2>
                Vítám tě na této stránce, která slouží jako mapa pro mé projekty.
            </h2>
            <p>
                Zde najtete projekty věnující se k tvorbě webu a hlavně mou cestu Akademií Engeto.
            </p>
            <p>
                Všechny projekty jsou vytvořeny v HTML, CSS a strochou JavaScriptu. Ale určitě jsem přidám i další
                projekty, které tvořím mimo Akademii.</p>
            <p>
                Projekty které se netýkají tworby webu, najdete na mém GitHubu přes tento odkaz na <a
                    href="https://git.archoslinux.cz/kankys">Gitea</a>.
            </p>
            <p>
                U každého projektu najdete popis a odkaz na něj. Buď na Gitea nebo na stránky, kde je projekt umístěn.
            </p>
        </div>

        <div class="project">
            <div class="pr1">
                <h2>Projekt 1: Tento Blog</h2>
                <p>
                    Tento projekt je vytvořen mimo Akademii Engeto. Je to můj osobní blog, který postupně vylepšuji.
                    Tato stránka slouží čistě jako má prezentace.</p>
                <p>
                    Postupně jsem přidávám své znolosti z HTML, CSS a také se snažím aby web byl co nejlépe
                    responzivní. Tento projekt je nekončicí koloběh.
                </p>
            </div>

            <div class="pr2">
                <h2>Projekt 2: Životopis</h2>
                <p>
                    Tento projekt je jako první úkol v Akademii.</p>
                <p>Zadání bylo vytvořit jednoduchý životpis na procvičení základů HTML a CSS. Později jsem ještě pomocí
                    CSS nastavil v úkolu responsivní web pro mobilní zařízení.</p>
                </p>
                <p>Projekt Životopis najdete <a target="_blank" href="zivotopis/zivotopis.html">zde.</a></p>
            </div>
            <div class="pr3">
                <h2>Projekt 3: Karta produktu</h2>
                <p>Karta produktu. Na tomto projektu jsme se naučily pozicování elementu a pojmy jako Margin a Padding.
                </p>
                <p>Projekt Karta produkdu najdete <a target="_blank" href="kartaProduktu/karta-produktu.html">zde</a></p>
            </div>

            <div class="pr4">
                <h2>Projekt 4: Nature and Culture</h2>
                <p>Tento projekt je zaměřen na responsivitu webu pro mobilní zařízení a také jsme použily porvé Flexbox.
                </p>
                <p>Projekt Nature and Culture najdete <a target="_blank" href="nature/nature-and-culture.html">zde</a></p>

            </div>
            <div class="pr5">
                <h2>Projekt 5: Your Travel Assistant</h2>
                <p>Tento projekt je vytvořen mimo Akademii Engeto. Jedná se o stránku pro cestovatele.</p>
                <p>Zadání jsme měli jako na reálném projektu a grafické rozložení se dělalo dle Figmi. Tento projekt byl hodnocený a je jeden ze tří projektů k získání certifikátu v Akademii.</p>
                <p>Projekt najdeš pod tímto <a target="_blank" href="YourTravelAssistant/cestovatel.html">odkazem</a>. Od finální verze co jsem odevzdal se mírně liší, ještě před odevzdáním jsem vychytával poslední mouchy.</p>
            </div>
        </div>
    </div>

 

      <footer class="site-footer">
        Copyright &copy; Lukáš Kaňka 2024
      </footer>
    </main>
  </body>
</html>
