<!doctype html>
<html lang="cs">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="Kankys Matrix" content="Kankys s čím pracuji." />
    <title>Nástroje</title>
    <link rel="stylesheet" href="../../style/style.css" />
    <link
      rel="icon"
      type="image/x-icon"
      href="../../res/site/icons/favicon.ico"
    />
    <link rel="shortcut icon" href="img/logo_arch_linux_167.png" />
    <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
    <script
      id="MathJax-script"
      async=""
      src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"
    ></script>
  </head>

  <body>
    <header class="page-header" role="banner">
      <h1 class="project-name">Nástroje</h1>
      <h2 class="project-tagline">
        Seznam nástrojů se kterými nejvíce pracuji.
      </h2>

      <a href="../../" class="btn">Domů</a>
    </header>

    <main id="content" class="main-content" role="main">
      <h3>Software se kterým nejčastěji pracuji</h3>

      <div class="obsah">
        <div class="Helix">
          <h3>Helix</h3>
          <p>
            <a href="https://helix-editor.com/" target="_blank">Helix</a> je
            postmoderní modální editor.
          </p>
          <p>
            Název postmoderní získal z důvodu: Jestliže je
            <a href="https://neovim.io/" target="_blank">Neovim</a> moderní Vim,
            pak je Helix postmoderní.
          </p>
          <p>
            Od již zmiňovaného Neovimu ho odlišuje spousty věcí i když koncept
            modálního editoru sdílí oba dva. Oba editory podporují LSP, ale
            Helix už nepodporuje pluginy tak není tak rošiřitelný jako Neovim.
            Dokonce mají oba jiné klávesové zkratky a obrácenou logigu příkazu,
            v Helixu vyberete objekt a pak vykonáte příkaz Neovim to má opačně.
            Helix je skvělým nástrojem pro nováčky v modálních editorech, ale
            náročný uživatel bez možnosti pluginů nebude asi zcela spokojený. Já
            jsem i přes jeho nevýhody oproti Neovim na něj přešel jelikož jeho
            výhody jsou pro mě větší důvod ho používat. Určitě stojí za
            ozkoušení a třeba i vy si ho oblíbíte jako já.
          </p>
          <p>
            Můj setup na vývoj frontend si můžeš prohlédnout na mé
            <a
              href="https://git.archoslinux.cz/kankys/Helix-frontend-setup.git"
              target="_blank"
              >Gitea</a
            >.
          </p>
          <p>
            Na mém
            <a href="https://lukan.cz/?s=Helix" target="_blank">Blogu</a> na
            témá Helix najdeš více informací či mé
            <a
              href="https://publish.obsidian.md/kankys-note/Digital+Garden+%F0%9F%8C%B1/Digital+Notes+%F0%9F%93%94/Helix/Helix"
              >Digitální zahradě</a
            >
            a
            <a href="https://dev.to/kankys" target="_blank">Dev.to</a> profilu.
          </p>
        </div>

        <div class="obsidian">
          <h3>Obsidian</h3>
          <p>
            <a href="https://obsidian.md/" target="_blank">Obsidian</a> markdown
            editor pro ty nejnáročnější.
          </p>
          <p>
            Další softwar bez kterého se neobejdu je textový editor. Velmi jsem
            si oblíbil formát Markdown a začal jsem zkoušet velké množství
            editorů a nakonec jsem zůstal u Obsidianu. Je možné ho rozšířit
            pluginy a jeho největší výhodouje, vaše data zůstávají u vás
            narozdíl od jiných textových editorů.
          </p>
          <p>
            Pokud se chceš o Obsidianu dozvědět více, pod odkazem najdeš další
            materiály k
            <a href="https://lukan.cz/?s=obsidian" target="_blank">Obsidianu</a
            >.
          </p>
        </div>
      </div>

      <div class="neovim">
        <h3>Neovim</h3>
        <p>
          Modální editor <a href="https://neovim.io/" target="_blank">Neovim</a>
          je jeden z mých oblíbených editorů. Tento editor jsem už dlouhou dobu
          používal před Helixem, oproti Helixu má mnohem strmější křivku učení.
          Jeho největší výhodou je spousta pluginu a možnost si ho přizbůsobit
          dle sebe. Jeho hlavní nevýhoda je, nezkušený uživatel si ho může lehce
          rozbí.
        </p>
        <p>
          Na moje nastavení Neovimu se můžeš podívat na mé
          <a
            href="https://git.archoslinux.cz/kankys/Nvim-frontend-setup"
            target="_blank"
            >Gitea</a
          >.
        </p>
      </div>

      <footer class="site-footer">Copyright &copy; Lukáš Kaňka 2024</footer>
    </main>
  </body>
</html>
